package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 板材排孔类型枚举类
 */

@AllArgsConstructor
@Getter
public enum PlatePlaceHoleEnum {


    FRONT(0, "正面"),
    BACK(1, "反面"),
    RANDOMFACE(2, "随意面");

    private final Integer placeHole;

    private String description;

    public boolean equals(Integer status) {
        return this.placeHole.equals(status) ;
    }


    public boolean equals(PlatePlaceHoleEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.placeHole .equals(this.getPlaceHole()) ;
    }


}
